Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.worklist.api
Enum ContainerHandle.Type

    java.lang.Object
      java.lang.Enum<ContainerHandle.Type>
          com.bea.wli.worklist.api.ContainerHandle.Type

All Implemented Interfaces:
  Serializable, Comparable<ContainerHandle.Type>

Enclosing class:
  ContainerHandle

    public static enum ContainerHandle.Type

extends Enum<ContainerHandle.Type>

Enum Constant Summary
`J2EEClient`
`JPD`

Method Summary
`static ContainerHandle.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ContainerHandle.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JPD

    public static final ContainerHandle.Type JPD

### J2EEClient

    public static final ContainerHandle.Type J2EEClient

Method Detail

### values

    public static final ContainerHandle.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ContainerHandle.Type c : ContainerHandle.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ContainerHandle.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD